cURL
curl --request POST \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute' \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"callback": {
"body": {},
"cookies": {},
"disableSSL": true,
"excludeDefaultMetadata": true,
"headers": {},
"method": "<string>",
"url": "<string>"
},
"event": {},
"input_values": {},
"past_exec_ref": "<string>",
"runner": "<string>",
"trigger_type": "<string>"
}'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute"
payload = {
"callback": {
"body": {},
"cookies": {},
"disableSSL": True,
"excludeDefaultMetadata": True,
"headers": {},
"method": "<string>",
"url": "<string>"
},
"event": {},
"input_values": {},
"past_exec_ref": "<string>",
"runner": "<string>",
"trigger_type": "<string>"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.request("POST", url, json=payload, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute';
const options = {
method: 'POST',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
"callback": {
"body": {},
"cookies": {},
"disableSSL": true,
"excludeDefaultMetadata": true,
"headers": {},
"method": "<string>",
"url": "<string>"
},
"event": {},
"input_values": {},
"past_exec_ref": "<string>",
"runner": "<string>",
"trigger_type": "<string>"
})
};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => '{"callback":{"body":{},"cookies":{},"disableSSL":true,"excludeDefaultMetadata":true,"headers":{},"method":"<string>","url":"<string>"},"event":{},"input_values":{},"past_exec_ref":"<string>","runner":"<string>","trigger_type":"<string>"}',
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute"
payload := strings.NewReader(`{"callback":{"body":{},"cookies":{},"disableSSL":true,"excludeDefaultMetadata":true,"headers":{},"method":"<string>","url":"<string>"},"event":{},"input_values":{},"past_exec_ref":"<string>","runner":"<string>","trigger_type":"<string>"}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("BLINK-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute")
.header("BLINK-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\"callback\":{\"body\":{},\"cookies\":{},\"disableSSL\":true,\"excludeDefaultMetadata\":true,\"headers\":{},\"method\":\"<string>\",\"url\":\"<string>\"},\"event\":{},\"input_values\":{},\"past_exec_ref\":\"<string>\",\"runner\":\"<string>\",\"trigger_type\":\"<string>\"}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["BLINK-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\"callback\":{\"body\":{},\"cookies\":{},\"disableSSL\":true,\"excludeDefaultMetadata\":true,\"headers\":{},\"method\":\"<string>\",\"url\":\"<string>\"},\"event\":{},\"input_values\":{},\"past_exec_ref\":\"<string>\",\"runner\":\"<string>\",\"trigger_type\":\"<string>\"}"
response = http.request(request)
puts response.read_body
{
"execution_id": "a22f642a-f4fc-4c66-b978-6f1d1008e6ae"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Executions
Execute a playbook
API endpoint to trigger the execution of a playbook in Blink.
POST
/
workspace
/
{ws_id}
/
playbooks
/
{id}
/
execute
cURL
curl --request POST \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute' \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"callback": {
"body": {},
"cookies": {},
"disableSSL": true,
"excludeDefaultMetadata": true,
"headers": {},
"method": "<string>",
"url": "<string>"
},
"event": {},
"input_values": {},
"past_exec_ref": "<string>",
"runner": "<string>",
"trigger_type": "<string>"
}'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute"
payload = {
"callback": {
"body": {},
"cookies": {},
"disableSSL": True,
"excludeDefaultMetadata": True,
"headers": {},
"method": "<string>",
"url": "<string>"
},
"event": {},
"input_values": {},
"past_exec_ref": "<string>",
"runner": "<string>",
"trigger_type": "<string>"
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.request("POST", url, json=payload, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute';
const options = {
method: 'POST',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
"callback": {
"body": {},
"cookies": {},
"disableSSL": true,
"excludeDefaultMetadata": true,
"headers": {},
"method": "<string>",
"url": "<string>"
},
"event": {},
"input_values": {},
"past_exec_ref": "<string>",
"runner": "<string>",
"trigger_type": "<string>"
})
};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => '{"callback":{"body":{},"cookies":{},"disableSSL":true,"excludeDefaultMetadata":true,"headers":{},"method":"<string>","url":"<string>"},"event":{},"input_values":{},"past_exec_ref":"<string>","runner":"<string>","trigger_type":"<string>"}',
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute"
payload := strings.NewReader(`{"callback":{"body":{},"cookies":{},"disableSSL":true,"excludeDefaultMetadata":true,"headers":{},"method":"<string>","url":"<string>"},"event":{},"input_values":{},"past_exec_ref":"<string>","runner":"<string>","trigger_type":"<string>"}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("BLINK-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute")
.header("BLINK-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\"callback\":{\"body\":{},\"cookies\":{},\"disableSSL\":true,\"excludeDefaultMetadata\":true,\"headers\":{},\"method\":\"<string>\",\"url\":\"<string>\"},\"event\":{},\"input_values\":{},\"past_exec_ref\":\"<string>\",\"runner\":\"<string>\",\"trigger_type\":\"<string>\"}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/execute")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["BLINK-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\"callback\":{\"body\":{},\"cookies\":{},\"disableSSL\":true,\"excludeDefaultMetadata\":true,\"headers\":{},\"method\":\"<string>\",\"url\":\"<string>\"},\"event\":{},\"input_values\":{},\"past_exec_ref\":\"<string>\",\"runner\":\"<string>\",\"trigger_type\":\"<string>\"}"
response = http.request(request)
puts response.read_body
{
"execution_id": "a22f642a-f4fc-4c66-b978-6f1d1008e6ae"
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Authorizations
Path Parameters
Query Parameters
Body
application/json
Playbook execution parameters including input values, event data, runner selection, and callback configuration
Was this page helpful?